Re: Showing All parts in Assy

Is there a quick way to tell Solid Edge to show all parts in the assembly.

 

T

 

Posted by: Teus Streef
Post date: 6/2/2006 8:24:25 AM

1 REPLY

RE: Re: Showing All parts in Assy

 

using System;

using System.Collections.Generic;

using System.Text;

using System.Runtime.InteropServices;

 

namespace ShowAll

{

class Program

{

static void Main(string[] args)

{

SolidEdgeFramework.Application application = null;

SolidEdgeAssembly.AssemblyDocument assembly = null;

 

application = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");

assembly = (SolidEdgeAssembly.AssemblyDocument)application.ActiveDocument;

 

application.ActiveSelectSet.RemoveAll();

application.ActiveSelectSet.Add(assembly.Occurrences);

application.StartCommand((SolidEdgeFramework.SolidEdgeCommandConstants)SolidEdgeConstants.AssemblyCommandConstants.AssemblyAssemblyToolsShowAll);

}

}

}

 

 

Posted by: Jason Newell
Post date: 6/8/2006 6:03:23 AM